DefInt A-Z
Declare Function GetProfileString Lib "Kernel" (ByVal Appname$, ByVal lpKeyName$, ByVal DEFAULT$, ByVal RetString$, ByVal nSize%) As Integer
Declare Function WriteProfileString Lib "Kernel" (ByVal Appname$, ByVal KeyName$, ByVal KeyValue As Any) As Integer

Sub FrameBarFrm (Frm As Form, BBar As Control)
    tp = Frm.ScaleTop + BBar.Top + BBar.Height
    lf = Frm.ScaleLeft + 7
    bt = Frm.ScaleHeight - 8
    rt = Frm.ScaleWidth - 15
    Frm.Line (lf, bt)-(rt, bt), GREY
    Frm.Line (rt, tp)-(rt, bt), GREY
    Frm.Line (lf + 15, tp + 15)-(rt - 15, tp + 15), WHITE
    Frm.Line (lf + 15, tp + 15)-(lf + 15, bt - 15), WHITE
    Frm.Line (lf + 15, bt - 15)-(rt - 15, bt - 15), GREY
    Frm.Line (rt - 15, tp + 15)-(rt - 15, bt - 15), GREY
End Sub

Sub FrameCtrl (Frm As Form, CtlT As Control, CtlL As Control, CtlB As Control, CtlR As Control)
    oot = CtlT.Top - 15
    ool = CtlL.Left - 15
    oob = CtlB.Top + CtlB.Height + 7
    oor = CtlR.Left + CtlR.Width + 7
    Frm.Line (ool, oot)-(oor, oot), GREY
    Frm.Line (ool, oot)-(ool, oob), GREY
    Frm.Line (ool - 15, oot - 15)-(oor + 15, oot - 15), GREY
    Frm.Line (ool - 15, oot - 15)-(ool - 15, oob + 15), GREY
    Frm.Line (ool - 15, oob + 15)-(oor + 17, oob + 15), WHITE
    Frm.Line (oor + 15, oot - 15)-(oor + 15, oob + 17), WHITE
End Sub

Sub FrameFrm (Frm As Form)
    tp = Frm.ScaleTop
    lf = Frm.ScaleLeft + 7
    bt = Frm.ScaleHeight - 8
    rt = Frm.ScaleWidth - 15
    Frm.Line (lf, bt)-(rt, bt), GREY
    Frm.Line (rt, tp)-(rt, bt), GREY
    Frm.Line (lf + 15, tp + 15)-(rt - 15, tp + 15), WHITE
    Frm.Line (lf + 15, tp + 15)-(lf + 15, bt - 15), WHITE
    Frm.Line (lf + 15, bt - 15)-(rt - 15, bt - 15), GREY
    Frm.Line (rt - 15, tp + 15)-(rt - 15, bt - 15), GREY
End Sub

Sub FrameLeftStat (Frm As Form, Ctrl As Control)
    l1t = Ctrl.Top - 30
    l1l = Ctrl.Left - 15
    l1b = Ctrl.Top + Ctrl.Height + 22
    l1r = Ctrl.Left + Ctrl.Width + 7
    Frm.Line (l1l, l1t)-(l1r, l1t), GREY
    Frm.Line (l1l, l1t)-(l1l, l1b), GREY
    Frm.Line (l1r, l1t)-(l1r, l1b), WHITE
    Frm.Line (l1l - 15, l1t - 15)-(l1r + 15, l1t - 15), GREY
    Frm.Line (l1l - 15, l1t - 15)-(l1l - 15, l1b + 15), GREY
    Frm.Line (l1l - 15, l1b + 15)-(l1r + 15, l1b + 15), WHITE
End Sub

Sub FrameMidStat (Frm As Form, Ctrl As Control)
    l2t = Ctrl.Top - 30
    l2l = Ctrl.Left - 15
    l2b = Ctrl.Top + Ctrl.Height + 22
    l2r = Ctrl.Left + Ctrl.Width + 7
    Frm.Line (l2l, l2t)-(l2r, l2t), GREY
    Frm.Line (l2l, l2t)-(l2l, l2b), GREY
    Frm.Line (l2r, l2t)-(l2r, l2b), WHITE
    Frm.Line (l2l - 15, l2t - 15)-(l2r + 15, l2t - 15), GREY
    Frm.Line (l2l - 15, l2b + 15)-(l2r + 15, l2b + 15), WHITE
End Sub

Sub FrameRightStat (Frm As Form, Ctrl As Control)
    l3t = Ctrl.Top - 30
    l3l = Ctrl.Left - 15
    l3b = Ctrl.Top + Ctrl.Height + 22
    l3r = Ctrl.Left + Ctrl.Width + 7
    Frm.Line (l3l, l3t)-(l3r, l3t), GREY
    Frm.Line (l3l, l3t)-(l3l, l3b), GREY
    Frm.Line (l3l - 15, l3t - 15)-(l3r + 15, l3t - 15), GREY
    Frm.Line (l3l - 15, l3b + 15)-(l3r + 17, l3b + 15), WHITE
    Frm.Line (l3r + 15, l3t - 15)-(l3r + 15, l3b + 17), WHITE
End Sub

Function GetWinStr (App As String, Key As String, Def As String) As String
    Catch$ = Space$(255)
    App = LTrim$(RTrim$(App))
    Key = LTrim$(RTrim$(Key))
    Def = LTrim$(RTrim$(Def))
    ZZ = GetProfileString(App, Key, Def, Catch$, 255)
    Catch$ = LTrim$(RTrim$(Left$(Catch$, ZZ)))
    GetWinStr = Catch$
    Catch$ = ""
End Function

Sub LeftLabel (Label$, Frm As Form, Ctrl As Control)
   Y = Ctrl.Top + ((Ctrl.Height - Frm.TextHeight(Label$)) / 2)
   X = Ctrl.Left - (Frm.TextWidth(Label$) + 45)
   C& = Frm.ForeColor
   Frm.ForeColor = WHITE
   Frm.CurrentY = Y + 15
   Frm.CurrentX = X + 15
   Frm.Print Label$;
   Frm.ForeColor = C&
   Frm.CurrentY = Y' + 15
   Frm.CurrentX = X' + 15
   Frm.Print Label$;
End Sub

Function PutWinINI (App As String, Key As String, KeyVal As String) As Integer
    App = LTrim$(RTrim$(App))
    Key = LTrim$(RTrim$(Key))
    KeyVal = LTrim$(RTrim$(KeyVal))
    If Len(KeyVal) Then
        XYZ = WriteProfileString(App, Key, ByVal KeyVal)
    Else
        XYZ = WriteProfileString(App, Key, ByVal 0&)
    End If
    Select Case XYZ
        Case 0
            PutWinINI = False
        Case Else
            PutWinINI = True
    End Select
End Function

